petsc-3.4.2 2013-07-02

# PetscHMPIHandle

Receives commands from the master node and processes them

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscHMPIHandle(MPI_Comm comm)

Collective on MPI_Comm

### Input Parameter

comm -Must be PETSC_COMM_LOCAL_WORLD

Notes: this is usually handled automatically, likely you do not need to use this directly

Developer Notes: Since comm must be PETSC_COMM_LOCAL_WORLD, why have this argument?

### See Also

PetscHMPIMerge(), PCHMPIRun(), PCHMPINew()

Level:developer
Location:src/sys/objects/mpinit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages